/* LIMS Custom CSS */

#Leaflet-Map-Container-Div
{
	height: 600px;
	width: 100%;
	border: 10px solid white;
	box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
}

#LIMSSampleRead-Tab-Logs-Items .panel-block:not(:last-child) {
	border-bottom: 1px solid var(--bulma-border);
}

#LIMS-Splash .hero-container
{
	top: 5vh;
	left: 0;
	right: 0;
	position: fixed;
}

/* HACKS - need to figure out not include this section in the Headlight Configurable Application */
#Headlight-Dynamic-Header-Container 
{
	display: none;
}

#PRSP_RecordList_Container_Entries td:empty:before {
	content: " N/A ";
	color: var(--bulma-text-soft);
}

#PRSP_RecordList_Container_Entries td {
	border-bottom-color: var(--bulma-border) !important;
}

/* stuff the end icons next to the hamburger menu on mobile */
@media (max-width: 1024px) {
	#LIMSNavbarTop.navbar .navbar-menu .navbar-end {
		top: 0;
		position: absolute;
		right: 50px;
	}
	#LIMSNavbarTop.navbar .navbar-menu .navbar-end .navbar-item {
		padding-top: 14px;
	}
	/* hack for button not matching height in mobile */
	#PRSP_Filter_Button_Ceate_New_Sample {
		padding: 0.275rem 1rem;
	}
}

/* HACKS - unhide an menu option hardcoded in panels settings menu (for now) */
#setting-PrinterCodes.is-hidden {
	display: block !important;
}

#setting-Testbed.is-hidden {
	display: block !important;
}

.delayed-fade-in
{
	animation-delay: 100ms;
	animation: fadein 400ms linear;
}
.delayed-fade-in-bg
{
	animation-delay: 100ms;
	background-color: rgba(0, 0, 0, 0.3);
	animation: animatedColor 400ms ease-in;
}
@keyframes fadein
{
	from { opacity: 0; }
	to   { opacity: 1; }
}
@keyframes animatedColor
{
	0%
	{
		background-color: rgba(0, 0, 0, 0);
	}
	100%
	{
		background-color: rgba(0, 0, 0, 0.3);
	}
}

.page-offset_0
{
	color: var(--bulma-text-soft);
}

/* ON MOBILE: hide all page links except the first 3 and last 3 */
@media screen and (max-width: 769px) {

	/* reduce the page gutter on record views */
	.app-page-gutters-for-mobile {
		padding-left: 0 !important;
		padding-right: 0 !important;
	}
	/* reduce the page gutter on everything */
	.app-page-gutters-for-mobile,
	.app-wrapper-container
	{
		margin: 0;
		padding: 0;
	}
	#LIMS-Application-Container
	{
		padding: 1rem;
	}
	/* hide the pagination list on mobile */
	.pagination-list li {
		display: none;
	}
	/* but show the first 3 and last 3 page links, and the page offset */
	.pagination-list li:nth-child(-n+3),
	.pagination-list li:nth-last-child(-n+3),
	.pagination-list li:has(a.page-offset_0) {
		display: inline-flex;
	}

}